Index: teleoperator.c
===================================================================
--- teleoperator.c	(revisión: 302)
+++ teleoperator.c	(copia de trabajo)
@@ -392,7 +392,10 @@
   printf("teleoperator schema started up\n");
   put_state(teleoperator_id,slept);
   pthread_create(&(all[teleoperator_id].mythread),NULL,teleoperator_thread,NULL);
+  pthread_mutex_unlock(&(all[teleoperator_id].mymutex));
+}
 
+void teleoperator_guiinit(void){
   if (myregister_buttonscallback==NULL){
      if ((myregister_buttonscallback=(registerbuttons)myimport ("graphics_xforms", "register_buttonscallback"))==NULL){
         printf ("I can't fetch register_buttonscallback from graphics_xforms\n");
@@ -420,7 +423,6 @@
      fprintf (stderr, "teleoperator: I can't fetch display from graphics_xforms\n");
      jdeshutdown(1);
   }
-  pthread_mutex_unlock(&(all[teleoperator_id].mymutex));
 }
 
 static int InitOGL(FL_OBJECT *ob, Window win,int w,int h, XEvent *xev, void *ud)
@@ -1750,6 +1752,7 @@
 
 void teleoperator_show(){
    static callback fn=NULL;
+   teleoperator_guiinit();
    if (fn==NULL){
       if ((fn=(callback)myimport ("graphics_xforms", "resume_callback"))!=NULL){
          fn ((gui_function)teleoperator_show_aux);
